/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== menu_tst.h: header pour menu_tst.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_MENU_TST__
#define __FTRIS_MENU_TST__

extern int verifie_option(int (), int);
extern int grise_option(int ());
extern int grise_start_game();
extern int grise_about();
extern int grise_help();
extern int grise_resume_game();
extern int verifie_game_mode(int);
extern int grise_game_mode();
extern int verifie_game_team(int);
extern int grise_game_team();
extern int verifie_nbp(int);
extern int grise_nbp();
extern int verifie_nbc(int);
extern int grise_nbc();
extern int grise_difficulte();
extern int grise_same_pieces();
extern int grise_hauteur_ini();
extern int verifie_stats(int);
extern int grise_stats();
extern int grise_time();
extern int verifie_eccentric(int);
extern int grise_eccentric();
extern int verifie_bonus_levels(int);
extern int grise_bonus_levels();
extern int grise_window_msg();
extern int grise_aire();
extern int verifie_team1(int);
extern int verifie_team2(int);
extern int verifie_team3(int);
extern int grise_cheat();
extern int grise_pieces_editor();
extern int grise_redefine_keys();
extern int grise_musique_menu();
extern int grise_musique_jeu();
extern int grise_detect_sb16();
extern int grise_port();
extern int grise_irq();
extern int grise_create_game();
extern int grise_join_game();
extern int grise_cancel_net();
extern int grise_net_name();
extern int verifie_type_reseau(int);
extern int grise_type_reseau();
extern int grise_net_server();
extern int grise_net_nbj_max();
extern int grise_net_allow_bots();
extern int grise_net_bonus_levels();
extern int grise_net_same_pieces();
extern int grise_net_view_other();
extern int grise_net_chat();
extern int grise_net_teams();
#endif
