/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== bonus.h: header pour bonus.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_BONUS__
#define __FTRIS_BONUS__

#include "game.h"

#define NB_BONUS        3

#define NO_BONUS        0
#define BONUS_RANDOM    1
#define BONUS_BRIX      2
#define BONUS_NIBBLE    3
#define BONUS_TRON      4

#define SON_DEBUT_BONUS     playsample(bonus_voix_son[joueur], 39, 250, 63);
#define SON_BONUS_GAGNE     playsample(bonus_voix_son[joueur], 39, 100, 63);
#define SON_BRIX_DEGOMME    playsample(bonus_voix_son[joueur], 37, 800, 63)


extern int      bonus_timer_ready[NBJ_MAX];
extern int      bonus_demarre[NBJ_MAX];
extern int      bonus_nb_appels[NBJ_MAX];
extern int      bonus_sec_reste[NBJ_MAX];
extern int      bonus_sec_change[NBJ_MAX];
extern int      bonus_voix_son[NBJ_MAX];

extern int      brix_niveau[NBJ_MAX];
extern t_sprite brix_balle[5];
extern t_sprite brix_raquette[5];
extern t_sprite brix_missile[5];


extern void init_bonus(int);
extern void traite_bonus(int);

#endif
