/******************************************************************************

                    GENDATE: Generation de la date pour FlashTris

                    (c) Copyright Sebastien HELLEU - 2001/03/26

                              http://flashcode.free.fr
                              e-mail:flashcode@free.fr

*******************************************************************************

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 2001/03/26

2001/09/06: FlashCode:
    - ajout de la licence
*/

/* gendate.c: formate la date pour inclusion dans FlashTris (date.h) */

#include <stdio.h>
#include <time.h>

int main()
{
    unsigned char   chaine[256];
    time_t          heure;
    struct tm       *ptr_tm;

    (void)time(&heure);
    ptr_tm = localtime(&heure);
    strftime(chaine, 256, "%A %B %d %Y %H:%M:%S", ptr_tm);
    printf("#define DATE_COMPILED \"%s\"", chaine);
    return 0;
}
